petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatRARt

Creates the matrix product C = R * A * R^T

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRARt(Mat A,Mat R,MatReuse scall,PetscReal fill,Mat *C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the matrix
| R | - the projection matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| fill | - expected fill as ratio of nnz(C)/nnz(A)

### Output Parameters

C -the product matrix

### Notes

C will be created and must be destroyed by the user with MatDestroy().

This routine is currently only implemented for pairs of AIJ matrices and classes which inherit from AIJ.

### See Also

MatRARtSymbolic(), MatRARtNumeric(), MatMatMult(), MatPtAP()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages